GZEXE(1)

NOMBRE
gzexe - comprime archivos ejecutables dejándoles el mismo nombre

SINOPSIS
gzexe nombre ...

DESCRIPCIÓN
La utilidad gzexe nos permite comprimir un programa ejecutable dejando el fichero comprimido con el mismo nombre, de forma que al ejecutarlo se descomprima automáticamente y se ejecute el programa original (con una penalización en cuanto al rendimiento). Por ejemplo, tras dar la orden “gzexe /usr/bin/gdb” se crearán los dos ficheros siguientes:
    -rwxr-xr-x  1 root root 1026675 Jun  7 13:53 /usr/bin/gdb
    -rwxr-xr-x  1 root root 2304524 May 30 13:02 /usr/bin/gdb~
/usr/bin/gdb~ es el fichero original y /usr/bin/gdb es el fichero ejecutable comprimido. Podemos borrar /usr/bin/gdb~ una vez que estemos seguros de que /usr/bin/gdb funciona correctamente.

Esta utilidad es más útil en sistemas con discos muy pequeños.

OPCIONES

-d  Descomprime los ejecutables dados en vez de comprimirlos.

VÉASE TAMBIÉN
gzip(1), znew(1), zmore(1), zcmp(1), zforce(1)

ADVERTENCIAS
El ejecutable comprimido es un script de shell. Esto puede crear algunos agujeros de seguridad. En particular, el ejecutable comprimido confía en la variable de entorno PATH para encontrar gzip y otras órdenes (basename, chmod, ln, mkdir, mktemp, rm, sleep y tail).

ERRORES
gzexe intenta mantener los atributos de archivo originales en el ejecutable comprimido. En ciertos casos, es posible que tengan que aplicarse manualmente algunas correciones mediante chmod o chown.

TRADUCCIÓN
La traducción al español de esta página del manual fue creada por Gerardo Aburruzaga García <gerardo.aburruzaga@uca.es> y Marcos Fouces <marcos@debian.org>

Esta traducción es documentación libre; lea la GNU General Public License Version 3 (https://www.gnu.org/licenses/gpl-3.0.html) o posterior con respecto a las condiciones de copyright. No existe NINGUNA RESPONSABILIDAD.

Si encuentra algún error en la traducción de esta página del manual, envíe un correo electrónico a debian-l10n-spanish@lists.debian.org.